SASL_GLOBAL_LISTMECH(3)

NAME
sasl_global_listmech - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
const char ** sasl_global_listmech();

DESCRIPTION

const char **sasl_global_listmech();
    sasl_global_listmech returns a null‐terminated array of strings that lists all mechanisms that are loaded by either the client or server side of the library.

RETURN VALUE

Returns a pointer to the array on success. NULL on failure (sasl library uninitialized).

SEE ALSO

RFC 4422,:saslman:sasl(3), sasl_server_init(3), sasl_listmech(3), sasl_client_init(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team